<div class=outerdiv>
  <div class="innerdiv">
    <p>BLOOD BANK</p>
    <div class="firstrow">
      <div *ngFor="let item of bloodGroupList;let i=index" [draggable]="item.isBloodGroupActive" class="first">
        <div class="ao" [class.active]="item.isBloodGroupActive" [draggable]="item.isBloodGroupActive" (dragstart)="dragStart($event, i)">
          <p>{{item.bloodGroupName}}</p>
        </div>
        <div class="count">
          <input type="number" name="requiredQuantity" [(ngModel)]="item.availabeQuanity">
        </div>
      </div>
    </div>
    <div class="thirdrow">
      <p>REQUIREMENT FORM</p>
      <div class="req">
        <div class="quantity">
          <p>Blood Required</p>
        </div>
        <div class="bloodgrp">
          <select name="bloodGroupReq" [(ngModel)]="requirement.bloodGroupName" (ngModelChange)="onBloodReqChange()">
            <option value="A+">A+</option>
            <option value="B+">B+</option>
            <option value="O+">O+</option>
            <option value="AB+">AB+</option>
            <option value="A-">A-</option>
            <option value="B-">B-</option>
            <option value="O-">O-</option>
            <option value="AB-">AB-</option>
          </select>
        </div>

        <div class="bottlereq">
          <div class="bottle">
            <p>No. of Bottle</p>
          </div>
          <div class="bottleno">
            <input type="number" min="0" name="bloodGroupName" [(ngModel)]="requirement.bottlesRequried"
              (ngModelChange)="onReqQuantityChange()">
          </div>
        </div>

      </div>
      <div class="bucket" (drop)="dropEvent($event)" (dragover)="dragOverEvent($event)">
        <div class="req-container" *ngIf="bucket">
          <div class="req-name">
            <p> {{bucket.bloodGroupName}}</p>
          </div>
          <div class="req-count">
            <p> {{bucket.bottlesRequried}} </p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
